package com.llisoft.sms.config;

import javax.servlet.ServletException;

import com.llisoft.sms.vo.CodeEnum;

/**
 * 自定义业务异常
 * @author YangJie [2019年1月4日]
 */
@SuppressWarnings("serial")
public class MtaException extends ServletException {
	
	private CodeEnum codeEnum;

	
	public MtaException(String msg) {
		super(msg);
	}

	public MtaException(CodeEnum codeEnum) {
		super(codeEnum.getMsg());
		this.codeEnum = codeEnum;
	}

	public static MtaException build(String msg) {
		return new MtaException(msg);
	}
	

	public CodeEnum getCodeEnum() {
		return codeEnum;
	}

}
