package com.llisoft.sms.util;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

import javax.servlet.http.HttpServletRequest;

import com.llisoft.sms.config.MtaException;

public class ServletUtil {
	
	/**
	 * 获取客户端IP
	 * @param request
	 * @return
	 * @throws MtaException 
	 */
	public static String getIp(HttpServletRequest request) throws MtaException {
	    String ip = request.getHeader("X-Real-IP");
	    if (Objects.isNull(ip) || ip.trim().isEmpty()) {
	    	ip = request.getHeader("X-Forwarded-For");
	    	if (Objects.isNull(ip) || ip.trim().isEmpty()) {
	    		throw new MtaException("无法获取客户端真实IP");
	    	}
		}
	    return ip.contains(",") ? ip.split(",")[0] : ip;
	}
	
	/**
	 * 获取参数Map<String, String>
	 * @param request
	 * @return
	 */
	public static Map<String, String> getParamMap(HttpServletRequest request){
		Map<String, String> returnMap = new HashMap<String, String>();
		Map<String, String[]> paramMap = request.getParameterMap();
		for (String key: paramMap.keySet()) {
			String[] values = paramMap.get(key);
			if (values!=null && values.length>0) {
				returnMap.put(key, values[0]);
			}
		}
		return returnMap;
	}

}
