package com.llisoft.sms.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("发送验证码请求实体")
public class SendCodeRequestVo {
	
	@ApiModelProperty(value="手机号码", example=" ")
	@NotBlank(message="手机号码不能为空")
	@Pattern(regexp="1[0-9]{10}", message="手机号码格式不正确")
	private String phone;

	@ApiModelProperty(value="短信签名（需要阿里云审核通过）", example="麦塔")
	@NotBlank(message="短信签名不能为空")
	private String sign;
	
	@ApiModelProperty(value="验证码参数：appkey", example=" ")
	@NotBlank(message="验证码参数：appkey不能为空")
	private String appkey;
	@ApiModelProperty(value="验证码参数：scene", example=" ")
	@NotBlank(message="验证码参数：scene不能为空")
	private String scene;
	@ApiModelProperty(value="验证码参数：token", example=" ")
	@NotBlank(message="验证码参数：token不能为空")
	private String token;
	@ApiModelProperty(value="验证码参数：sessionid", example=" ")
	@NotBlank(message="验证码参数：sessionid不能为空")
	private String sessionid;
	@ApiModelProperty(value="验证码参数：sig", example=" ")
	@NotBlank(message="验证码参数：sig不能为空")
	private String sig;
	

	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getAppkey() {
		return appkey;
	}
	public void setAppkey(String appkey) {
		this.appkey = appkey;
	}
	public String getScene() {
		return scene;
	}
	public void setScene(String scene) {
		this.scene = scene;
	}
	public String getSig() {
		return sig;
	}
	public void setSig(String sig) {
		this.sig = sig;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public String getSessionid() {
		return sessionid;
	}
	public void setSessionid(String sessionid) {
		this.sessionid = sessionid;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}

}
